# Uses of Class
org.apache.sysds.runtime.instructions.ooc.CachingStream

Packages that use CachingStream
Package
Description
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.ooc.stream

## Uses of CachingStream in org.apache.sysds.runtime.instructions.ooc

Methods in org.apache.sysds.runtime.instructions.ooc that return CachingStream
Modifier and Type
Method
Description
`CachingStream`
CachingStream.`getStreamCache()`
`CachingStream`
OOCStreamable.`getStreamCache()`
`CachingStream`
PlaybackStream.`getStreamCache()`
`CachingStream`
SubscribableTaskQueue.`getStreamCache()`
Constructors in org.apache.sysds.runtime.instructions.ooc with parameters of type CachingStream
Modifier
Constructor
Description
``
`PlaybackStream(CachingStream streamCache)`

## Uses of CachingStream in org.apache.sysds.runtime.ooc.stream

Methods in org.apache.sysds.runtime.ooc.stream that return CachingStream
Modifier and Type
Method
Description
`CachingStream`
FilteredOOCStream.`getStreamCache()`
`CachingStream`
MergedOOCStream.`getStreamCache()`
`CachingStream`
SourceOOCStreamable.`getStreamCache()`
`CachingStream`
SplittingOOCStream.`getStreamCache()`
`CachingStream`
SubOOCStream.`getStreamCache()`